# coding: utf-8

# GPIO ライブラリをインポート
import RPi.GPIO as GPIO

# time ライブラリをインポート
import time

# collections ライブラリのdeque オブジェクトをインポート
from collections import deque

# ピン番号の割り当て方式を「コネクタのピン番号」に設定
GPIO.setmode(GPIO.BOARD)
GPIO.setwarnings(False)

# 使用するピン番号を代入
PIN=[15,16,18,22]


# 出力信号パターンのリストを作成
SIG = deque([1, 0, 0, 0])

# 回転させるステップ数
STEP = 24
SPEED = 1
dir = 1
i=0

# 各ピンを出力ピンに設定
for i in range(len(PIN)):
    GPIO.setup(PIN[i], GPIO.OUT, initial=GPIO.LOW)

# 例外を検出
try:
    # 無限ループ
    while True:
        # step で指定したステップ数までループ       
        for cnt in range(STEP):
            # 出力信号パターンを順番に出力
            for i in range(len(SIG)):
                GPIO.output(PIN[i], SIG[i])
                print i
            # 0.01 秒待つ
            time.sleep(SPEED)
            
            # 出力信号パターンを右にローテート
            SIG.rotate(dir)
        # ローテートの向きを逆にする
        dir = dir * -1
        
# キーボード例外を検出
except KeyboardInterrupt:
    # 何も処理しない
    pass

# GPIO を解放
GPIO.cleanup()
